#pragma once

#include "texture.h"
#include "vertexBufferObject.h"

class CSkybox
{
private:
	GLuint VAO;
	CVertexBufferObject vboRenderData;
	CTexture Textures[6];

public:
	void loadSkybox(char *Front, char *Back, char *Left, char *Right, char *Top, char *Bottom);
	void renderSkybox();
	void releaseSkybox();
};
